Enable, disable, approve or re-scope a custom MCP connection's tools
curl --request PATCH \
--url https://api.atako.ai/integrations/connections/{id}/mcp/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"enabled": true,
"approve": true
}
]
'import requests
url = "https://api.atako.ai/integrations/connections/{id}/mcp/tools"
payload = [
{
"name": "<string>",
"enabled": True,
"approve": True
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{name: '<string>', enabled: true, approve: true}])
};
fetch('https://api.atako.ai/integrations/connections/{id}/mcp/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerKey": "<string>",
"displayName": "<string>",
"authType": "api_key",
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "company",
"isMine": true,
"actions": [
{
"key": "<string>",
"scope": "read",
"description": "<string>"
}
],
"mcp": {
"host": "<string>",
"slug": "<string>",
"lastSyncedAt": "<string>",
"toolCount": 123,
"enabledCount": 123,
"pendingReview": 123
},
"externalLabel": "<string>",
"config": {},
"scopes": [
"<string>"
],
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"canManage": true,
"server": {},
"tools": [
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"inputSchema": {},
"scope": "read",
"destructive": true,
"enabled": true,
"pendingReview": true,
"removed": true
}
],
"agents": [
{}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Integrations
Enable, disable, approve or re-scope a custom MCP connection's tools
PATCH
/
integrations
/
connections
/
{id}
/
mcp
/
tools
Enable, disable, approve or re-scope a custom MCP connection's tools
Authorizations
An aik_… programmatic API key (app.atako.ai → Settings → API keys) or a Supabase session JWT.
Path Parameters
Connection id
Body
application/json